import { MigrationInterface, QueryRunner } from 'typeorm';

export class ItemQueueAddTimeAndPeakLevel1733199330134
  implements MigrationInterface
{
  name = 'ItemQueueAddTimeAndPeakLevel1733199330134';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "item_queues" ADD "max_peak_level" integer NOT NULL DEFAULT '100'`,
    );
    await queryRunner.query(
      `ALTER TABLE "item_queues" ADD "call_preparation" integer NOT NULL DEFAULT '5'`,
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "item_queues" DROP COLUMN "call_preparation"`,
    );
    await queryRunner.query(
      `ALTER TABLE "item_queues" DROP COLUMN "max_peak_level"`,
    );
  }
}
